Name:           kwtype
Version:        0.1.0
Release:        1%{?dist}
Summary:        Virtual keyboard input tool for KDE Plasma Wayland

License:        MIT
URL:            https://github.com/Sporif/KWtype
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  meson
BuildRequires:  qt6-qtbase-devel
BuildRequires:  kf6-kwayland-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  desktop-file-utils

Requires:       qt6-qtbase
Requires:       kf6-kwayland
Requires:       libxkbcommon

%description
KWtype is a CLI tool that provides virtual keyboard input on KDE Plasma Wayland.
It uses a privileged Wayland protocol implemented by KWin (Fake Input) to
simulate keyboard events, allowing automation of keyboard input in a Wayland
environment.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kwtype.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/kwtype
%{_datadir}/applications/kwtype.desktop

%changelog
* Wed Mar 12 2025 nettoneko <58349791+nettoneko@users.noreply.github.com> - 0.1.0-1
- Initial package
